Welcome to Personal Web Server 5.0

Personal Web Server 5.0 (PWS) is a desktop Web server that makes it possible for you to publish a Web or FTP site on the corporate network right from your own computer. You can use PWS to publish your personal home page, share documents on the network, or stage and test your site before uploading it to an Internet service provider. PWS is the answer to your personal information sharing and Web development needs.

If you have PWS installed, you can view the documentation by typing http://localhost/iisHelp/ in your browser address bar and pressing ENTER.

© 1997-1998 Microsoft Corporation. All rights reserved.


To install PWS

Installing PWS

Personal Web Server is not installed on Windows NT Workstation 5.0 by default. You can install PWS or select additional components by using the Add/Remove Programs application in Control Panel.

To install PWS

  1. Click Start, point to Settings, click Control Panel and start the Add/Remove programs application.
  2. Select Personal Web Server and click Add/Remove.
  3. Follow the on-screen instructions to install or add components to PWS.

© 1997-1998 Microsoft Corporation. All rights reserved.


Software Checklist

Personal Web Server requires that the following software be installed on the computer prior to installation:

  • Windows NT Workstation version 5.0.
  • The Windows NT TCP/IP Protocol and Connectivity Utilities.

The following optional components are recommended:

  • The Windows Internet Name Service (WINS) server or the Domain Name System (DNS) server installed on a computer in your intranet. If your intranetwork is small, you can use HOSTS or LMHOSTS files on all computers in your network. This step is optional, but it does allow users to use “friendly” text names instead of IP addresses.
  • For security purposes, Microsoft recommends that all drives used with PWS be formatted with the Windows NT File System (NTFS).
  • Microsoft® FrontPage® to create and edit HTML pages for your Web site. FrontPage is a WYSIWYG editor that provides a friendly, graphical interface for tasks such as inserting tables, graphics, and scripts.
  • Microsoft® Visual InterDev™ to create and develop interactive Web applications.

Note

You can administer a server running IIS from a remote computer running Windows NT Workstation 5.0. Install the Internet Service Manager snap-in on the remote computer, and then connect to the server you want to administer. Or, you can administer your site by using Internet Service Manager (HTML) with a browser.

Related Topics

  • For information on name resolution systems, see the "About Name Resolution" topic in the PWS documentation, available by typing http://localhost/iisHelp/ in your browser address bar and pressing the Enter key.
  • For more information about creating Web pages in HTML, see the "HTML Authoring" topic in the PWS documentation.

© 1997-1998 Microsoft Corporation. All rights reserved.


Security Checklist

Several steps can be taken to enhance the security of a computer publishing information on an intranet. If you have concerns about the security of your system, review this checklist to determine if your system requires changes.

User Accounts

  • Review the IUSR_computername account’s rights.
  • Choose difficult passwords.
  • Manage strict account policies.
  • Limit the membership of the Administrators group.
  • Set the administrator password.

For more information on user accounts, see "About Access Control" in the PWS documentation (available by typing http://localhost/iisHelp/ in your browser address bar and pressing Enter).

NTFS File Security

  • Use access control lists (ACLs), available with NTFS.
  • Set access control for the IUSER_computername account.
  • Enable auditing to track access to secure or critical files.

For information on how to change to NTFS file security, see "Setting Access Permissions for a Directory or File" in the PWS documentation, or consult your Windows NT documentation. For information on how to enable file access tracking, see "Monitoring Activity for an Account" in the PWS documentation.

Running Other Network Services

  • Run only the services that you need.
  • Check permissions on network shares.

© 1997-1998 Microsoft Corporation. All rights reserved.


Troubleshooting

If you are having difficulty with your Web server, use the information provided in this topic to troubleshoot the following problems.

  • Installation
  • Testing Your Installation
  • User Rights
  • Anonymous Authentication
  • Basic Authentication

Installation

If you are having trouble installing PWS, or operating the program following installation, check the following items.

Uninstalling Previous Versions

PWS 5.0 will upgrade only the Windows NT Workstation 5.0 Beta 1 installation of PWS. No other alpha or beta installations will upgrade automatically. If you have a previous alpha or beta version of PWS, you must uninstall it before installing PWS 5.0. You can do this by using the Add/Remove Programs application in Control Panel or using the PWS Setup program.

Personal Web Server 5.0 will upgrade automatically if you have PWS version 2, 3, or 4 installed.

Testing Your Installation

After installing, you can test your installation by using Internet Explorer to view the files in your home directory.

To test a Web site connected to the Internet
  1. Ensure that your Web server has HTML files in the Wwwroot folder.
  2. Start a Web browser, such as Internet Explorer, on a computer that has an active connection to the Internet. This computer can be the computer you are testing, although using a different computer on the network is recommended.
  3. Type in the URL for the home directory of your new Web site.

    4. The URL is “http://” followed by the name of your Web site, followed by the path of the file you want to view. (Note the forward slash marks.) For example, if your site is registered in DNS as “examples.microsoft.com” and you want to view the file Homepage.htm in the root of the home directory, in the Address box you type:
    http://examples.microsoft.com/homepage.htm
    then press the Enter key. The home page appears on the screen.

To test a Web site on your intranet
  1. Ensure that your computer has an active network connection and that the WINS server service (or other name resolution method) is functioning.
  2. Start a Web browser, such as Microsoft Internet Explorer.
  3. Type in the Uniform Resource Locator (URL) for the home directory of your new server.

    4. The URL is “http://” followed by the Windows Networking name of your server, followed by the path of the file you want to view. (Note the forward slash marks.) For example, if your Web site is registered with the WINS server as “Admin1” and you want to view the file Homepage.htm in the root of the home directory, in the Address box you type:
    http://admin1/homepage.htm
    then press Enter. The home page appears on the screen.

User Rights

If a user is having trouble viewing your published files (in other words, is receiving HTTP "403; Forbidden" or similar HTTP errors when attempting to request a Web page), then there is most likely a problem related to the user rights that are configured on your Web site. In order to give users access to your published files, check the following items.

  1. Find the specific file, directory, or virtual directory which the user cannot access in Internet Service Manager.
  2. View the properties for that file, directory, or virtual directory.
  3. Select the File property sheet (if viewing properties of a file) or Directory property sheet (if viewing the properties of a directory or virtual directory). Ensure that the directory or file has Read access permissions (the Read check box should be selected).
  4. Select the File Security or Directory Security property sheet.
  5. Ensure that the user has either anonymous access, Basic authentication permissions, or Windows NT Challenge/Response permissions that will allow the user to view the content by clicking the Edit button in the Anonymous Access and Authentication Control field.
  6. Click the Edit button in the TCP/IP and Domain Name Restrictions field to ensure that the remote computer, group of computers, or domain name has not been restricted from accessing your resource.

Anonymous Authentication

If an anonymous user cannot access your site, check the following.

Ensure that the anonymous user's password is the same in both Internet Service Manager and User Manager:

  1. In Internet Service Manager, select the Web site, virtual directory, directory, or file on which you need to check anonymous access and view its properties.
  2. Select the File Security property sheet (if viewing properties of a file) or Directory Security property sheet (if viewing properties of a Web site, virtual directory, or directory) and click the Edit button in the Anonymous Access and Authentication Control field.
  3. In the Authentication Methods dialog box, make sure that the Allow Anonymous Access check box is selected.
  4. Click the Edit button to view the user name and password that are used when an anonymous user connects to your site. In order to enable your Web site to automatically synchronize your anonymous password settings with those set in Windows NT, select the Enable Automatic Password Sychronization check box (it is selected by default for all resources that allow anonymous access).

Ensure that the anonymous user has Log on locally rights in Windows NT User Manager for Domains:

  1. Launch User Manager from the Microsoft Management Console (MMC) toolbar.
  2. In User Manager, on the Policies menu, select User Rights.
  3. Choose the right Log On Locally and make sure IUSR_<computername> (or your anonymous account) shows up in the list.

If you are having trouble preventing an anonymous user from accessing your site, check the following:

  1. Select the File Security property sheet (if viewing properties of a file) or Directory Security property sheet (if viewing properties of a Web site, virtual directory, or directory) and click the Edit button in the Anonymous Access and Authentication Control field.
  2. In the Authentication Methods dialog box, make sure that the Allow Anonymous Access check box is not selected.

Basic Authentication

If users with Basic Authentication rights are having trouble accessing your site, check the following.

Ensure that the login user has Log on locally rights in Windows NT User Manager for Domains:

  1. Launch User Manager from the Microsoft Management Console (MMC) toolbar.
  2. In User Manager, on the Policies menu, select User Rights.
  3. Choose the right Log On Locally and make sure IUSR_<computername> (or your anonymous account) shows up in the list.

Make sure that you specify a default logon domain for the user: in the Authentication Methods dialog box, click Edit under Basic Authentication and type in the Domain Name.

If you are concerned about the safety of transmitting passwords in clear text (an industry standard that applies to Basic Authentication), use Secure Sockets Layer (SSL) to secure clear-text passwords. You can configure SSL Client authentication by launching the Secure Communications dialog box from the Directory Security (or File Security) property sheet. Use Key Manager to create key requests and the Secure Communications dialog box to enable an SSL Authentication scheme.

Copyright Information

© 1997-1998 Microsoft Corporation

These materials are provided “as-is,” for informational purposes only.

Neither Microsoft nor its suppliers makes any warranty, express or implied with respect to the content of these materials or the accuracy of any information contained herein, including, without limitation, the implied warranties of merchantability or fitness for a particular purpose. Because some states/jurisdictions do not allow exclusions of implied warranties, the above limitation may not apply to you.

Neither Microsoft nor its suppliers shall have any liability for any damages whatsoever including consequential, incidental, direct, indirect, special, and lost profits. Because some states/jurisdictions do not allow exclusions of implied warranties, the above limitation may not apply to you. In any event, Microsoft’s and its suppliers’ entire liability in any manner arising out of these materials, whether by tort, contract, or otherwise shall not exceed the suggested retail price of these materials.